<?php
/*
 * admin-ssl-config.php
 * 
 * Displays Admin SSL configuration settings page
 * 
 * Author: BCG
 * 
 */
?>

<?php if(!empty($_POST)){ ?>
	<div id="message" class="<?= $error ? "error" : "updated" ?> fade"><p><strong><?php _e($message) ?></strong></p></div>
<?php } ?>

<div class="wrap">

	<h2><?php _e('Admin SSL Configuration'); ?></h2>
	
	<form action="" method="post" id="admin-ssl-config" style="width:600px;">
		
		<p>
			<input id="use_ssl" name="use_ssl" type="checkbox"<?= $use_ssl ? " checked" : "" ?>></input>
			<label for="use_ssl">Secure my admin pages with SSL</label>
		</p>
		
		<p>If you use Shared SSL, please check the box below and type the URL for your Shared SSL.</p>
		
		<p><b>PLEASE NOTE</b> that if you don't enter your Shared SSL details and don't have Private SSL,
		<b>your site will be inaccessible</b> if you enable SSL.</p>
		
		<p>
			<input id="use_shared" name="use_shared" type="checkbox"<?= $use_shared ? " checked" : "" ?>></input>
			<label for="use_shared">Use Shared SSL</label>
		</p>

		<p>
			<label for="shared_url">URL address of dashboard (MUST end with '/wp-admin/') using Shared SSL:</label>
			<input id="shared_url" name="shared_url" type="text" size="80" value="<?= $shared_url.($shared_url && strpos($shared_url,"wp-admin") === false ? "/wp-admin/" : "") ?>" />
		</p>
		
		<p>Examples:<br />
			https://host_company.com/~your_username/blog/wp-admin/ <b>is</b> correct<br />
			https://host_company.com/~your_username/blog/some_folder/ is <b>not</b> correct
		</p>

		<p class="submit">
			<input type="submit" name="submit" value="<?php _e('Save Options'); ?>" />
		</p>
		
	</form>
	
</div>